#
# spec file for package wob
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wob
Version:        0.15.1
Release:        1.5
Summary:        A lightweight overlay volume/backlight/progress/anything bar for Wayland
License:        ISC
Group:          System/X11/Utilities
URL:            https://github.com/francma/wob
Source0:        https://github.com/francma/wob/releases/download/%{version}/wob-%{version}.tar.gz
Source1:        https://github.com/francma/wob/releases/download/%{version}/wob-%{version}.tar.gz.sig
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/5C6DA024DDE27178073EA103F4B432D5D67990E3#/%{name}.keyring
Source3:        wob.service
Source4:        wob.socket
BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(inih)
BuildRequires:  pkgconfig(libseccomp)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)

%description
A lightweight overlay volume/backlight/progress/anything bar for Wayland

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
install -Dm644 -t "%{buildroot}%{_userunitdir}" %SOURCE3 %SOURCE4

%files
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_mandir}/man5/%{name}.ini.5%{?ext_man}
%{_userunitdir}/wob.*

%changelog
* Sun Sep 17 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to 0.15.1:
  Fixed:
  * Allow mmap in seccomp sandbox
- Added systemd services from git contrib
* Fri Sep 15 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to 0.15:
  Added:
  * Added bar orientation = horizontal | vertical
  * Look for config file in /etc/wob/wob.ini
  * New optional build dependency on cmocka (to run tests)
  Changed:
  * Replace inputting colors via stdin with styles
* Mon Nov 28 2022 Filippo Bonazzi <filippo.bonazzi@suse.com>
- Update to 0.14.2
  * Replace command line options with .ini configuration file
  * Add dependency on inih
  * Change color format from #RRGGBBAA to RRGGBB[AA]
  * Properly handle output disconnect
  * Allow mprotect syscall for hardened malloc
* Mon Mar  7 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.13:
  * Print actual values in --help instead of just WOB_DEFAULT_*
  * Don't require argument for -h
  * Allow lseek syscall in seccomp sandbox
  * Fix segmentation fault when -v (verbose) was used
* Mon Aug 16 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.12:
  Fixed:
  * Allow munmap syscall to fix sandbox on musl libc #74
  Changed:
  * Change color format from #AARRGGBB to #RRGGBBAA #79 #81
  Added:
  * Allow overflow #67
* Mon Feb  8 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.11:
  * Seccomp related fixes ce6fea7, bc94ead
  * Rename compilation flag -Dman-page (singular) to -Dman-pages
    (plural) 8551da1
* Mon Aug 31 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.10:
  * NULL terminate color buffer string to prevent usage of uninitialised memory
  * Correctly display colors with aplha value < 100%%
  * Short option -v no longer shows current version but increases debug level
    instead.
  * Enable seccomp rules by default if libseccomp is found.
  * Long options (--border-color, --background-color, --bar-color).
  * Log output. Use -v increase verbosity.
* Wed Jul 29 2020 Martin Rey <mrey@suse.com>
- Improve spec file
  * Add RPM group
  * Don't set default cflags explicitly, as %%meson does it already
* Mon Jul 27 2020 Martin Rey <mrey@suse.com>
- Initial packaging of version 0.8
